<template>
  <gpa-observations :subject="subject" editable />
</template>

<script>
import GpaObservations from './Observations/_Observations.vue'

/**
 * @typedef {import('../../../classes/models/Patch')} Patch
 * @typedef {import('../../../classes/models/Element')} Element
 */

export default {
  name: 'GpaInventoryObservations',
  components: { GpaObservations },
  computed: {
    /** @returns {Element|Patch} Page subject */
    subject () {
      if (this.$route.name.match(/^inventory-(element|patch-element)-/)) return this.$store.getters.element(parseInt(this.$route.params.elementId, 10))
      return this.$store.getters.patch(parseInt(this.$route.params.patchId, 10))
    },
  },
}
</script>
